xclade
Admin APIWorkflows executions

Get Workflow Execution's Details

Get the details of the workflow's execution.

GET
/admin/workflows-executions/{workflow_id}/{transaction_id}
AuthorizationBearer <token>

In: header

Path Parameters

workflow_id*string

The workflows execution's workflow id.

transaction_id*string

The workflows execution's transaction id.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/workflows-executions/string/string"
{
  "workflow_execution": {
    "id": "string",
    "workflow_id": "string",
    "transaction_id": "string",
    "execution": {
      "steps": {
        "property1": {
          "id": "string",
          "invoke": {
            "state": "failed",
            "status": "idle"
          },
          "definition": {
            "async": true,
            "compensateAsync": true,
            "noCompensation": true,
            "continueOnPermanentFailure": true,
            "skipOnPermanentFailure": "string",
            "maxRetries": 0,
            "noWait": false,
            "retryInterval": 0,
            "retryIntervalAwaiting": 0,
            "saveResponse": true,
            "timeout": 0,
            "autoRetry": true,
            "maxAwaitingRetries": 0
          },
          "compensate": {
            "state": "failed",
            "status": "idle"
          },
          "depth": 0,
          "startedAt": 0
        },
        "property2": {
          "id": "string",
          "invoke": {
            "state": "failed",
            "status": "idle"
          },
          "definition": {
            "async": true,
            "compensateAsync": true,
            "noCompensation": true,
            "continueOnPermanentFailure": true,
            "skipOnPermanentFailure": "string",
            "maxRetries": 0,
            "noWait": false,
            "retryInterval": 0,
            "retryIntervalAwaiting": 0,
            "saveResponse": true,
            "timeout": 0,
            "autoRetry": true,
            "maxAwaitingRetries": 0
          },
          "compensate": {
            "state": "failed",
            "status": "idle"
          },
          "depth": 0,
          "startedAt": 0
        }
      }
    },
    "context": {
      "data": {
        "invoke": {
          "property1": {
            "output": {
              "output": null,
              "compensateInput": null
            }
          },
          "property2": {
            "output": {
              "output": null,
              "compensateInput": null
            }
          }
        },
        "payload": null
      },
      "compensate": {},
      "errors": [
        {
          "error": {},
          "action": "string",
          "handlerType": "string"
        }
      ]
    },
    "state": "not_started",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}